@Unpublished{H-order,
  author = 	 {Mika Hirvensalo},
  title = 	 {Ordering the free groups},
  note = 	 {A summary of the results necessary for \cite{HK}, \url!http://users.utu.fi/mikhirve/order.pdf!}
}

@Book{modules,
  author = 	 {Bernard R McDonald},
  title = 	 {Linear Algebra Over Commutative Rings},
  publisher = 	 {Marcel Dekker},
  year = 	 {1984},
  note = 	 {Read through \url!http://print.google.com/print?ie=UTF-8&q=module+partial+commutative&btnG=Search!}
}

